Package com.enonic.xp.node

## Class NodeComparisons

- java.lang.Object
- - com.enonic.xp.node.NodeComparisons

- All Implemented Interfaces:
    `Iterable<NodeComparison>`

      @PublicApi
      public class NodeComparisons
      extends Object
      implements Iterable<NodeComparison>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `NodeComparisons.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static NodeComparisons.Builder` | `create()` |
    `NodeComparison` | `get​(NodeId nodeId)` |
    `NodeComparison` | `getBySourcePath​(NodePath nodePath)` |
    `Collection<NodeComparison>` | `getComparisons()` |
    `NodeIds` | `getNodeIds()` |
    `int` | `getSize()` |
    `NodePaths` | `getSourcePaths()` |
    `Set<NodeComparison>` | `getWithStatus​(CompareStatus status)` |
    `Iterator<NodeComparison>` | `iterator()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Method Detail

    - #### create

          public static NodeComparisons.Builder create()

    - #### get

          public NodeComparison get​(NodeId nodeId)

    - #### getBySourcePath

          public NodeComparison getBySourcePath​(NodePath nodePath)

    - #### iterator

          public Iterator<NodeComparison> iterator()

      Specified by:
        `iterator` in interface `Iterable<NodeComparison>`

    - #### getSize

          public int getSize()

    - #### getNodeIds

          public NodeIds getNodeIds()

    - #### getSourcePaths

          public NodePaths getSourcePaths()

    - #### getWithStatus

          public Set<NodeComparison> getWithStatus​(CompareStatus status)

    - #### getComparisons

          public Collection<NodeComparison> getComparisons()